> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inklink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> Returns all webhook endpoints for the authenticated organization. Response objects **do not** include the signing **`secret`**. See [Webhooks](/webhooks).



## OpenAPI

````yaml /api-reference/openapi.json GET /webhook/endpoints
openapi: 3.0.3
info:
  title: API 2.0
  version: 1.0.0
  contact: {}
servers:
  - url: https://platform.inklink.com/api/v1
security: []
tags: []
paths:
  /webhook/endpoints:
    get:
      summary: List webhook endpoints
      description: >-
        Returns all webhook endpoints for the authenticated organization.
        Response objects **do not** include the signing **`secret`**. See
        [Webhooks](/webhooks).
      operationId: listWebhookEndpoints
      parameters:
        - name: api-key
          in: header
          schema:
            type: string
            example: secret_live_xxx
          required: true
      responses:
        '200':
          description: List of endpoints.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhookEndpointsListResponse'
        '401':
          description: Not authenticated (`UNAUTHORIZED`).
        '500':
          description: Server error (`INTERNAL_ERROR`).
components:
  schemas:
    webhookEndpointsListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/webhookEndpoint'
    webhookEndpoint:
      type: object
      description: Webhook endpoint without signing secret.
      properties:
        id:
          type: string
          description: Endpoint id (`wh_end_…`).
        name:
          type: string
          nullable: true
        url:
          type: string
          format: uri
        enabled:
          type: boolean
        event_types:
          type: array
          items:
            $ref: '#/components/schemas/webhookEventType'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    webhookEventType:
      type: string
      description: InkLink webhook event type (KYC or Web inquiry result status).
      enum:
        - kyc.result.pending
        - kyc.result.manual_review
        - kyc.result.approved
        - kyc.result.rejected
        - kyc.result.failed
        - web.result.pending
        - web.result.manual_review
        - web.result.approved
        - web.result.rejected
        - web.result.failed

````